Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Stuck on fake FW 3.1.3

  1. #1
    Unhappy Stuck on fake FW 3.1.3
    So, I downloaded the FW 313 app, to trick iTunes and App Store apps into thinking I was running 3.1.3. I'm running 3.1.2 though. I wanted to install an app that has 3.1.2 listed as one of the requirements on cydia, so I pressed the 3.1.2 button in the FW 313 app, rebooted, and the app says that it's now showing cydia, itunes, etc. 3.1.2, but cydia won't let me install the new app, and I just installed the 3.1.3 update to the Facebook app, so I know it's still tricking itunes and cydia. I've tried changing it back and forth, and rebooting multiple times. None of this fixed it... help?

  2. #2
    Try restoring to 3.1.2 and set it up as a new phone not a backup.

  3. #3
    With all that I hve on there now, I'm not going to restore this close to the 4.0 release. It's too much work that I'd just have to do over again. I was thinking of something more along the lines of SSHing into the phone, or using the Terminal app to change it manually. I just have no clue as to what I would need to change.

  4. #4
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    There's no app that only works on 3.1.2 and not on 3.1.3 so that's not the problem.

  5. #5
    Quote Originally Posted by dhamien View Post
    There's no app that only works on 3.1.2 and not on 3.1.3 so that's not the problem.
    Alright, obviously I'm not describing the issue clearly enough. The problem is not compatibility. The problem is that, realizing that there was practically no difference between 3.1.2 and 3.1.3, I installed the FW313 app to fake out Cydia and the App Store, to get around people listing fw 3.1.3 as a requirement, so I that I could install updates that the developer listed as being made for 3.1.3. Unfortunately, the app can't switch back to showing 3.1.2, like it's supposed to. Thus is the source of my problem. I don't know how else to describe it...

  6. #6
    download the app again and press 312

  7. #7
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    Quote Originally Posted by Schory View Post
    Alright, obviously I'm not describing the issue clearly enough. The problem is not compatibility. The problem is that, realizing that there was practically no difference between 3.1.2 and 3.1.3, I installed the FW313 app to fake out Cydia and the App Store, to get around people listing fw 3.1.3 as a requirement, so I that I could install updates that the developer listed as being made for 3.1.3. Unfortunately, the app can't switch back to showing 3.1.2, like it's supposed to. Thus is the source of my problem. I don't know how else to describe it...
    Ok. My reply was because you said you couldn't install an app that required 3.1.2

    Just to let you know, the facebook app doesn't only work on 3.1.3 it works fine on my 3.1.2 (the fact that the versions corresponds to each other is a coincidence) - as far as I know, there weren't put in any new APIs in 3.1.3 so any app that runs on 3.1.2 will run on 3.1.3 and vice versa.

    If you absolutely can not change it in the same app, then my advice would be to just let it be. There's no problem with having a faked out firmware version.
    We're all just toymakers in the game of life.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •